%define dist	MDV-Repsys
%define version	0.09
%define release	%mkrel 3

Summary:	Library to access to Mandriva build system
Name:		perl-%{dist}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	%{dist}-%{version}.tar.bz2
Patch0:		MDV-Repsys-submit-default.patch
Url:		http://cvs.mandriva.com/cgi-bin/cvsweb.cgi/soft/perl-%{dist}/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildArch:	noarch
BuildRequires: subversion-tools
BuildRequires: perl(File::Tempdir)
BuildRequires: perl(SVN::Client)
BuildRequires: perl(Date::Parse)
BuildRequires: perl-RPM4
BuildRequires: perl(Config::IniFiles)

%description
Library to access to Mandriva build system.

%prep
%setup -q -n %{dist}-%{version}
%patch0 -p1 -b .submit-default

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
LC_ALL=C TMPDIR=/tmp %{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/MDV


%changelog
* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.09-3mdv2007.1
+ Revision: 73473
- Add BuildRequires

* Thu Oct 19 2006 Olivier Blin <oblin@mandriva.com> 0.09-2mdv2007.1
+ Revision: 71324
- Patch0: use "default" target value from "submit" section (backport from trunk)

* Sun Oct 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.09-1mdv2007.1
+ Revision: 65440
- fix buildrequires
- back to generic requirement
- workaround mandriva lazyness
- 0.09

* Tue Aug 29 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-4mdv2007.0
+ Revision: 58665
- path2: fix issue if user appear several time in repsys.conf

* Fri Aug 25 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-3mdv2007.0
+ Revision: 58130
- fix mdvsys build (upstram patch)

* Wed Aug 23 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-2mdv2007.0
+ Revision: 57744
- patch to fix issue when text exists before changelog from misc/

* Sun Aug 13 2006 Olivier Thauvin <nanardon@mandriva.org> 0.08-1mdv2007.0
+ Revision: 55842
- 0.08

* Fri Aug 11 2006 Olivier Thauvin <nanardon@mandriva.org> 0.07-1mdv2007.0
+ Revision: 55531
- fix buildrequires
- 0.07

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.06-1mdv2007.0
+ Revision: 53639
- 0.06

* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org> 0.05-1mdv2007.0
+ Revision: 52781
- 0.05

* Sun Jul 30 2006 Olivier Thauvin <nanardon@mandriva.org> 0.04-2mdv2007.0
+ Revision: 42834
- really add patch0
- upstream patch0: function don't get arguments
- add missing buildrequires
- 0.04

* Tue Jul 25 2006 Olivier Thauvin <nanardon@mandriva.org> 0.03-2mdv2007.0
+ Revision: 42081
- patch0: parse changelog date as UTC

* Thu Jul 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.03-1mdv2007.0
+ Revision: 41776
- 0.03

* Sun Jul 16 2006 Olivier Thauvin <nanardon@mandriva.org> 0.02-1mdv2007.0
+ Revision: 41361
- 0.02

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org> 0.01-1mdv2007.0
+ Revision: 41109
- Import perl-MDV-Repsys

